/*ch0710.java*/
import javax.swing.*;
import java.awt.*;
public class ch0710
{ public static void main(String args[])
  { //自定义滑动条组件js
    JSlider js=new JSlider(SwingConstants.HORIZONTAL,0,100,50);
    js.setInverted(true);             //设置滑动条以反方向显示
    js.setPaintLabels(true);          //绘制滑动条的刻度标签
    js.setPaintTrack(false);          //不显示游标轨道
    js.setMajorTickSpacing(20);       //设置主要刻度为20
    js.setMinorTickSpacing(5);        //设置次要刻度为5
    js.setPaintTicks(true);
    JFrame f=new JFrame("使用滑动条组件");
    f.getContentPane().add(js);
    f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    f.setSize(300,100);
    f.setVisible(true);
  }
}
